OpenNMS API 1.2.9

## org.opennms.netmgt.filter.lexer
Class Lexer

    java.lang.Object
      org.opennms.netmgt.filter.lexer.Lexer

public class Lexer
extends java.lang.Object

Nested Class Summary
`static class` `Lexer.State`

Field Summary
`private static int[][]` `accept`
`private boolean` `cr`
`private boolean` `eof`
`private static int[][][][]` `gotoTable`
`private java.io.PushbackReader` `in`
`private int` `line`
`private int` `pos`
`protected Lexer.State` `state`
`private java.lang.StringBuffer` `text`
`protected Token` `token`

Constructor Summary
`Lexer(java.io.PushbackReader in)`

Method Summary
`protected void` `filter()`
`private int` `getChar()`
`private java.lang.String` `getText(int acceptLength)`
`protected Token` `getToken()`
`(package private) Token` `new0(int line, int pos)`
`(package private) Token` `new1(int line, int pos)`
`(package private) Token` `new10(java.lang.String text, int line, int pos)`
`(package private) Token` `new11(int line, int pos)`
`(package private) Token` `new12(java.lang.String text, int line, int pos)`
`(package private) Token` `new13(int line, int pos)`
`(package private) Token` `new14(int line, int pos)`
`(package private) Token` `new15(java.lang.String text, int line, int pos)`
`(package private) Token` `new16(java.lang.String text, int line, int pos)`
`(package private) Token` `new17(java.lang.String text, int line, int pos)`
`(package private) Token` `new18(java.lang.String text, int line, int pos)`
`(package private) Token` `new19(java.lang.String text, int line, int pos)`
`(package private) Token` `new2(int line, int pos)`
`(package private) Token` `new20(int line, int pos)`
`(package private) Token` `new21(int line, int pos)`
`(package private) Token` `new22(java.lang.String text, int line, int pos)`
`(package private) Token` `new23(java.lang.String text, int line, int pos)`
`(package private) Token` `new24(java.lang.String text, int line, int pos)`
`(package private) Token` `new3(int line, int pos)`
`(package private) Token` `new4(int line, int pos)`
`(package private) Token` `new5(int line, int pos)`
`(package private) Token` `new6(int line, int pos)`
`(package private) Token` `new7(int line, int pos)`
`(package private) Token` `new8(int line, int pos)`
`(package private) Token` `new9(int line, int pos)`
`Token` `next()`
`Token` `peek()`
`private void` `pushBack(int acceptLength)`
`protected void` `unread(Token token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token

    protected Token token

### state

    protected Lexer.State state

### in

    private java.io.PushbackReader in

### line

    private int line

### pos

    private int pos

### cr

    private boolean cr

### eof

    private boolean eof

### text

    private final java.lang.StringBuffer text

### gotoTable

    private static int[][][][] gotoTable

### accept

    private static int[][] accept

Constructor Detail

### Lexer

    public Lexer(java.io.PushbackReader in)

Method Detail

### filter

    protected void filter()
                   throws LexerException,
                          java.io.IOException

  Throws:
    `LexerException`
    `java.io.IOException`

### peek

    public Token peek()
               throws LexerException,
                      java.io.IOException

  Throws:
    `LexerException`
    `java.io.IOException`

### next

    public Token next()
               throws LexerException,
                      java.io.IOException

  Throws:
    `LexerException`
    `java.io.IOException`

### getToken

    protected Token getToken()
                      throws java.io.IOException,
                             LexerException

  Throws:
    `java.io.IOException`
    `LexerException`

### new0

    Token new0(int line,
               int pos)

### new1

    Token new1(int line,
               int pos)

### new2

    Token new2(int line,
               int pos)

### new3

    Token new3(int line,
               int pos)

### new4

    Token new4(int line,
               int pos)

### new5

    Token new5(int line,
               int pos)

### new6

    Token new6(int line,
               int pos)

### new7

    Token new7(int line,
               int pos)

### new8

    Token new8(int line,
               int pos)

### new9

    Token new9(int line,
               int pos)

### new10

    Token new10(java.lang.String text,
                int line,
                int pos)

### new11

    Token new11(int line,
                int pos)

### new12

    Token new12(java.lang.String text,
                int line,
                int pos)

### new13

    Token new13(int line,
                int pos)

### new14

    Token new14(int line,
                int pos)

### new15

    Token new15(java.lang.String text,
                int line,
                int pos)

### new16

    Token new16(java.lang.String text,
                int line,
                int pos)

### new17

    Token new17(java.lang.String text,
                int line,
                int pos)

### new18

    Token new18(java.lang.String text,
                int line,
                int pos)

### new19

    Token new19(java.lang.String text,
                int line,
                int pos)

### new20

    Token new20(int line,
                int pos)

### new21

    Token new21(int line,
                int pos)

### new22

    Token new22(java.lang.String text,
                int line,
                int pos)

### new23

    Token new23(java.lang.String text,
                int line,
                int pos)

### new24

    Token new24(java.lang.String text,
                int line,
                int pos)

### getChar

    private int getChar()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### pushBack

    private void pushBack(int acceptLength)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### unread

    protected void unread(Token token)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getText

    private java.lang.String getText(int acceptLength)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.